Subject: [eppext] Working Group Last call for draft-ietf-eppext-launchphase

From: Antoin Verschuren <[email-masked]>
Date: Mon, 20 Jul 2015 22:01:40 +0200

Greetings,

This is the starting of the WGLC on the Launch Phase Mapping for the Extensible Provisioning Protocol (EPP).
There was extensive discussion on the mailing list, an we believe the outcome is incorporated in the
document and is ready for WGLC.
The current version of this document can be found here:

  https://www.ietf.org/id/draft-ietf-eppext-launchphase-05.txt

We'll have a 1,5 week period for comments, closing on Friday, 31 July 2015.

During last call the chairs are looking for a document shepherd for this document.
If you’re interested, please contact the chairs. The document authors can not be the shepherd.

thanks,

- --
Antoin Verschuren

Tweevoren 6, 5672 SB Nuenen, NL
M: +31 6 37682392
xmpp:[email-masked]

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Jul 2015 12:49:56 +0000

> -----Original Message-----
> From: EppExt [mailto:[email-masked]] On Behalf Of Antoin
> Verschuren
> Sent: Monday, July 20, 2015 4:02 PM
> To: [email-masked]
> Subject: [eppext] Working Group Last call for draft-ietf-eppext-
> launchphase
> 
> Greetings,
> 

I have reviewed this document. Comments:

The URI for the "TMCH Functional Specification" appears twice in the list of URIs. One of the instances should be removed and the citations should be adjusted accordingly. More importantly, that URI identifies an expired Internet-Draft. Is it really the best reference? This isn't a normative reference so I don't think it needs to be brought up to date for this document to proceed, but I would like to ask if it makes sense to refer to expired I-Ds in this way.

Many of the examples in the document use domain names like "example1.tld". These names aren't consistent with RFC 6761. Consideration should be given to using 6761 domain names.

Could the authors please confirm that all of the examples are valid per the schema that appears in Section 4.1?

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Jul 2015 13:18:58 +0000

> From: EppExt [mailto:[email-masked]] On Behalf Of Hollenbeck,
> Scott
> Sent: Tuesday, July 21, 2015 8:50 AM
> To: Antoin Verschuren; [email-masked]
> Subject: Re: [eppext] Working Group Last call for draft-ietf-eppext-
> launchphase
> 
> The URI for the "TMCH Functional Specification" appears twice in the
> list of URIs. One of the instances should be removed and the citations
> should be adjusted accordingly. More importantly, that URI identifies
> an expired Internet-Draft. Is it really the best reference? This isn't
> a normative reference so I don't think it needs to be brought up to
> date for this document to proceed, but I would like to ask if it makes
> sense to refer to expired I-Ds in this way.
> 
> Many of the examples in the document use domain names like
> "example1.tld". These names aren't consistent with RFC 6761.
> Consideration should be given to using 6761 domain names.
> 

Sorry, one more comment: a template should be added to section 5 to register the XML schema in addition to the namespace. There's an example in RFC 5731.

---

From: Rik Ribbers <[email-masked]>
Date: Tue, 21 Jul 2015 14:28:30 +0000

All,

I finished the review. There is one issue that I raised earlier that (imho) needs some more clarification in the document.

See http://www.ietf.org/mail-archive/web/eppext/current/msg00585.html 

We have interpreted section 2.3 different then the other implementers with respect to the normal or vanilla (as Alexander suggested) domain check. 

Having fully re-read the draft I am not sure if this issue should be addressed here or in the lozano functional specification 
(https://datatracker.ietf.org/doc/draft-lozano-tmch-func-spec/). However the last is expired and not getting any attention. In this draft there are several requirements concerning Domain Registration, there are no requirements concerning Domain Availability. So if nothing is specified the vanilla domain check can be used.

However section 2.3 suggest one MUST provide a launchphase...... so what to do....

My suggestion is to add a few wording (slightly different then my previous proposal):

** old **
The <launch:phase> element MUST be included by the client to define the target launch phase of the command. 

** new **
The <launch:phase> element MUST be included by the client to define the target launch phase of the command when using this EPP extension.

Gr,
Rik 

-----Original Message-----
From: EppExt [mailto:[email-masked]] On Behalf Of Antoin Verschuren
Sent: maandag 20 juli 2015 22:02
To: [email-masked]
Subject: [eppext] Working Group Last call for draft-ietf-eppext-launchphase

Greetings,

This is the starting of the WGLC on the Launch Phase Mapping for the Extensible Provisioning Protocol (EPP).
There was extensive discussion on the mailing list, an we believe the outcome is incorporated in the document and is ready for WGLC.
The current version of this document can be found here:

During last call the chairs are looking for a document shepherd for this document.
If you're interested, please contact the chairs. The document authors can not be the shepherd.

thanks,

- --
Antoin Verschuren

---

From: "Gould, James" <[email-masked]>
Date: Wed, 22 Jul 2015 15:02:21 +0000

Scott,

Thank you for the review and feedback.  Your feedback can be addressed in the next update of the draft.  Below I include my embedded comments ("JG: " prefix) to your feedback that I can bring up at the EPPEXT WG meeting.

Thanks,

Jim

________________________________________
From: EppExt [[email-masked]] on behalf of Hollenbeck, Scott [[email-masked]]
Sent: Tuesday, July 21, 2015 9:18 AM
To: Antoin Verschuren; [email-masked]
Subject: Re: [eppext] Working Group Last call for       draft-ietf-eppext-launchphase

> sense to refer to expired I-Ds in this way.

JG: The duplicate URI can be removed.  
JG: I believe that the reference is important even with the reference being an expired draft since the concept of “claims”, as supported by the protocol, is covered in the TMCH Functional Specification and not duplicated in the launchphase draft. 

> Consideration should be given to using 6761 domain names.

JG: This can be addressed by changing the domain name to “domain.example” instead of “example.tld” throughout the examples.

> the schema that appears in Section 4.1?

JG: Yes, the draft examples are captured in the GitHub project and are validated against the draft schema.  

JG: Yes, this can be addressed

_______________________________________________
EppExt mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/eppext

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 22 Jul 2015 15:20:11 +0000

> From: Gould, James
> Sent: Wednesday, July 22, 2015 11:02 AM
> To: Hollenbeck, Scott; Antoin Verschuren; [email-masked]
> Subject: RE: [eppext] Working Group Last call for draft-ietf-eppext-
> launchphase
> 
> Scott,
> 
> Thank you for the review and feedback.  Your feedback can be addressed
> in the next update of the draft.  Below I include my embedded comments
> ("JG: " prefix) to your feedback that I can bring up at the EPPEXT WG
> meeting.
> 
> Thanks,
> 
> Jim
> 
> 
> > > This is the starting of the WGLC on the Launch Phase Mapping for
> the
> > > Extensible Provisioning Protocol (EPP).
> > > There was extensive discussion on the mailing list, an we believe
> the
> > > outcome is incorporated in the
> JG: I believe that the reference is important even with the reference
> being an expired draft since the concept of "claims", as supported by
> the protocol, is covered in the TMCH Functional Specification and not
> duplicated in the launchphase draft.

Oh, I agree that the reference is important. I'm questioning inclusion of a link to an expired draft. Is there another reference, perhaps a document on the ICANN web site?

Scott

---

From: Antoin Verschuren <[email-masked]>
Date: Thu, 23 Jul 2015 14:10:54 +0200

Dear WG,

As discussed yesterday at the EPPEXT meeting in Prague this normative reference issue is a showstopper for the RFC editor, so we need another revision to this draft before we can proceed to the IESG, which probably means we won’t make the WGLC deadline.

We have 2 options for this:
-Replace the normative reference to another stable document, perhaps an ICANN document?
-Revive draft-lozano-tmch-func-spec and take it up as a WG document and proceed that one first.

Gustavo: Are you willing to revive your document as it is currently expired, and make a request to the WG to adopt it?
The WG can perhaps already review this document in parallel and provide you with feedback.

The authors of  draft-ietf-eppext-launchphase can then replace their reference and we can proceed with WGLC.

This action has no impact on draft-ietf-eppext-tmch-smd, and we will continue WGLC on that as announced.

Jim and Antoin

- --
Antoin Verschuren

---

From: Gustavo Lozano <[email-masked]>
Date: Fri, 24 Jul 2015 08:40:45 +0000

Hi Antoin,

Comments inline.

Regards,
Gustavo

>-Revive draft-lozano-tmch-func-spec and take it up as a WG document and

draft-lozano-tmch-func-spec has been revived.

>
>Gustavo: Are you willing to revive your document as it is currently
>expired,

Yes 

> and make a request to the WG to adopt it?

I will request the adoption of this ID as a WG document.

>The WG can perhaps already review this document in parallel and provide

This will be great.

Regards,
Gustavo